# frozen_string_literal: true

require 'prolog/dry_types'

# Generate blog post/article fixture data, with embedded marker tag pairs.
module ArticleFixtureGen
  # Maintain configuration information for app.
  class Config
    # Immutable value object containing config settings.
    class Data < Dry::Struct::Value
      attribute :article_count, Types::Strict::Int
      attribute :config, Types::Strict::String.default('')
      attribute :config_given, Types::Strict::Bool
      attribute :generate_config, Types::String.default('')
      attribute :generate_config_given, Types::Strict::Bool
      attribute :para_count_max, Types::Strict::Int
      attribute :para_count_min, Types::Strict::Int
      attribute :pmtp_count, Types::Strict::Int
      attribute :pmtp_text, Types::Strict::String
      attribute :sent_count_max, Types::Strict::Int
      attribute :sent_count_min, Types::Strict::Int
      attribute :smtp_count, Types::Strict::Int
      attribute :smtp_text, Types::Strict::String
    end # class ArticleFixtureGen::Config::data
  end # class ArticleFixtureGen::Config
end
