# frozen_string_literal: true

require_relative './marker_tag_pair'

module ArticleFixtureGen
  module Data
    # Builds an array of marker-tag ID strings.
    # FIXME: This should be `BuildMarkerArray` or similar.
    class MarkerArray
      def self.call(attributes:)
        new(attributes).call
      end

      def call
        @attributes.map do |attrib|
          mtp = MarkerTagPair.call id_string: attrib.id_string
          NodeFromMarkup.call mtp
        end
      end

      protected

      def initialize(attributes)
        @attributes = attributes
        self
      end
    end # class ArticleFixtureGen::Data::MarkerArray
  end
end
