# frozen_string_literal: true

module ArticleFixtureGen
  module Data
    # Builds an HTML marker tag pair, either a single MTP or a paired MTP; we
    # don't care at this level (the conventions for ID attributes distinguishing
    # one from the other are applied at a higher level).
    class MarkerTagPair
      def self.call(id_string:)
        Internals.to_s(id_string)
      end

      FORMAT_STR = %(<a href="" id="%s"></a>)
      private_constant :FORMAT_STR

      # Stateless methods.
      module Internals
        def self.to_s(id_attrib)
          format FORMAT_STR, id_attrib
        end
      end
      private_constant :Internals
    end # class ArticleFixtureGen::Data::MarkerTagPair
  end
end
