# frozen_string_literal: true

require 'ox'

module ArticleFixtureGen
  module Data
    # Render an Ox::Element instance as HTML.
    class MarkupFromNode
      DEFAULT_OPTIONS = { indent: -1 }.freeze

      def self.call(node, options = DEFAULT_OPTIONS)
        Ox.dump(node, options)
      end
    end # class ArticleFixtureGen::Data::MarkupFromNode

    # Convert an HTML string to an Ox::Element.
    # NOTE: HTML *must* comprise a single outermost element, that may have an
    #       arbitrary number of nested elements within it.
    class NodeFromMarkup
      def self.call(markup)
        Ox.parse(markup)
      end
    end # class ArticleFixtureGen::Data::NodeFromMarkup
  end
end
