# frozen_string_literal: true

require_relative './smtp_attributes'

module ArticleFixtureGen
  module Data
    # Builds a parameter hash for calling `MtpDecoratedMarkup` to decorate
    # markup with single MTPs (as opposed to paired MTPs).
    class SmtpDecoratorParams
      def self.call(base_markup:, config:)
        attributes = SmtpAttributes.new config: config
        { attributes: attributes, base_markup: base_markup }
      end
    end # class ArticleFixtureGen::Data::SmtpDecoratorParams
  end
end
