# frozen_string_literal: true

require 'forwardable'

require_relative './option_spec_item'

module ArticleFixtureGen
  module Exe
    module Trollop
      # Encapsulate configuration of a Trollop command-line option
      class OptionSpec
        extend Forwardable

        def initialize(*key_and_desc, **options)
          @item = OptionSpecItem.new key: key_and_desc[0],
                                     desc: key_and_desc[1], options: options
          # freeze # Cannot freeze data passed to `Trollop.opt`.
          #          WTFometer at 11.
          self
        end

        def add_option(context)
          context.opt key, desc, options
        end

        def_delegators :@item, :desc, :key, :options
      end # class ArticleFixtureGen::Exe::Trollop::OptionSpec
    end
  end
end
